﻿import com.delfiweb.command.*;
/*
@class com.delfiweb.command.AppelURLCommand implements _Command
@version 0.1
@author Cédric Néhémie
description :  une classe qui permet les appels de page qui évite de transmettre
toutes les variables de niveau insérées dans notre URL
*/
dynamic class com.delfiweb.command.AppelURLCommand implements _Command 
{
	/**
	* propriété :  _obj (Object) Un objet contenant toutes les infos a envoyer
	* propriété :  _urlAppel (String) L'adresse de la page a appeler
	* propriété :  _cible (String) La fenetre ou frame cible
	* propriété :  _method (String) La methode d'envoi de variable
	*/
	private var _urlAppel:String;
	private var _cible:String;
	private var _method:String;
	private var _obj:Object;
	
	
	
	/**
	* paramètre :  url (String) L'adresse de la page a appelée
	* paramètre :  target (String) La fenetre ou frame cible
	* paramètre :  method (String) La methode d'envoi de variable
	* paramètre :  obj (Object) [optionnel] L'objet avec toutes les propriétés a envoyer
	* utilisation :  var command = new AppelURLCommand(url, target, method);
	* utilisation :  var command = new AppelURLCommand(url, target, method, obj);
	* description :  La fonction constructeur
	*/
	public function AppelURLCommand (url:String, target:String,method:String, obj:Object)
	{
		_urlAppel = url;
		_cible = target;
		_method = method
		_obj = obj;
	}
	
	
	
	/**
	* utilisation : command.execute();
	* description : Fait l'appel de la page
	*/
	public function execute ():Void
	{
		var clip:MovieClip = _root.createEmptyMovieClip("recupURL",-6666);
		for(var i in _obj)
		{
			clip[i] = _obj[i];
		}
		clip.nc = random(100);
		if(_method == "GET")
		{			
			clip.getURL(_urlAppel,_cible,"GET");
		}
		else
		{
			clip.getURL(_urlAppel,_cible,"POST");
		}
	}
	
	
	/**
	* sortie : String
	*/	
	public function toString():String
	{
		return "[AppelURLCommand : "+_urlAppel+", "+_method+", "+_cible+"]";
	}
}